namespace KlassenAbstrakt
{
    internal class Kreis(string farbe, double radius) : Figur(farbe)
    {
        private readonly static double PI = 3.1415926;

        public override void Skalieren(double faktor) =>
            radius *= faktor;

        public override double Flaeche() =>
            Math.Round(PI * radius * radius, 3);

        public override string ToString() =>
            $"{base.ToString()}, {radius}";
    }
}
